Skip to content

Remove a customer

POST
/api/v4/partner/customer/remove

Remove a customer and all associated wallet addresses from monitoring.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
"customerId": "customer_a1b2c3d4"
}

Responses

OK

application/json
JSON
{
"status": "ok"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X POST https://api.brrr.network/api/v4/partner/customer/remove \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customerId": "cust_a1b2c3d4"
  }'
javascript
const response = await fetch('https://api.brrr.network/api/v4/partner/customer/remove', {
  method: 'POST',
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    customerId: 'cust_a1b2c3d4',
  }),
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Failed to remove customer: ${error.errorCode}`);
}

const data = await response.json();
console.log('Customer removed:', data);
python
import os
import httpx

response = httpx.post(
    'https://api.brrr.network/api/v4/partner/customer/remove',
    headers={
        'X-Api-Key': os.environ['BRRR_API_KEY'],
        'Content-Type': 'application/json',
    },
    json={
        'customerId': 'cust_a1b2c3d4',
    },
)
response.raise_for_status()
data = response.json()
print('Customer removed:', data)